# API

## Constants

### Air

```@docs
γ_AIR
R_AIR
```

### Earth

```@docs
gD
```

## Rotations

### Coordinate systems

- Earth
- Local horizon
- Body
- Wind

```@autodocs
Modules = [FlightMechanicsUtils]
Pages   = ["rotations.jl"]
Private = false
```


## Atmosphere

```@autodocs
Modules = [FlightMechanicsUtils]
Pages   = ["atmosphere.jl"]
Private = false
```


## Kinematics

```@autodocs
Modules = [FlightMechanicsUtils]
Pages   = ["kinematics.jl"]
Private = false
```

## Mechanics

```@autodocs
Modules = [FlightMechanicsUtils]
Pages   = ["mechanics.jl"]
Private = false
```


## Anemometry

- Calibrated
- Equivalent
- True

```@autodocs
Modules = [FlightMechanicsUtils]
Pages   = ["anemometry.jl"]
Private = false
```
