# Air Constants
"""
    γ_AIR = 1.4

Adiabatic index or ratio of specific heats (dry air at 20º C).
"""
const γ_AIR = 1.4

"""
    R_AIR = 287.05287  (J/(Kg·K))

Specific gas constant for dry air.
"""
const R_AIR = 287.05287


# Earth
# Down component of gravity acceleration at Earth surface at 45º geodetic latitude.
# Stevens, B. L., Lewis, F. L., & Johnson, E. N. (2015). Aircraft control
#  and simulation: dynamics, controls design, and autonomous systems. John Wiley
#  & Sons. Equation (page 33)
"""
    gD = 9.80665  (m/s²)

Down component of gravity acceleration at Earth surface at 45º
geodetic latitude.

1. Stevens, B. L., Lewis, F. L., & Johnson, E. N. (2015). Aircraft control and simulation: dynamics, controls design, and autonomous systems. John Wiley & Sons. Equation (page 33)
"""
const gD = 9.80665  # m/s²
